<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2008 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at
  
          http://www.apache.org/licenses/LICENSE-2.0
  
     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
        android:title="@string/about_settings">

        <!-- System update settings - launches activity -->
        <PreferenceScreen android:key="system_update_settings"
                android:title="@string/system_update_settings_list_item_title" 
                android:summary="@string/system_update_settings_list_item_summary">
            <intent android:action="android.settings.SYSTEM_UPDATE_SETTINGS" />
        </PreferenceScreen>
        <PreferenceScreen android:key="software_update"
                android:title="@string/software_update">
        </PreferenceScreen>
        <!-- MOTA -->
        <PreferenceScreen android:key="mota_system_update"
                android:summary="@string/mota_system_update_summary">
            <intent android:action="com.mediatek.intent.GoogleOtaClient"/>
        </PreferenceScreen>

        <!-- software update service-->
        <PreferenceScreen
            android:key="scomo"
            android:title="@string/scomo_settings_title"
            android:summary="@string/software_updates_scomo_summary">
	    <intent android:action="android.intent.action.MAIN"
                android:targetPackage="com.mediatek.dm"
                android:targetClass="com.mediatek.dm.DmScomoActivity" />
        </PreferenceScreen>

        <PreferenceScreen android:key="additional_system_update_settings"
                          android:title="@string/additional_system_update_settings_list_item_title">
            <intent android:action="android.intent.action.MAIN"
                    android:targetPackage="@string/additional_system_update"
                    android:targetClass="@string/additional_system_update_menu" />
        </PreferenceScreen>
		<!-- More Software updates - launches activity -->
        <PreferenceScreen android:key="more_software_updates"
                android:title="@string/software_updates_more_title" 
                android:summary="@string/software_updates_more_summary">
            <intent android:targetPackage="com.android.settings"
                    android:targetClass="com.android.settings.deviceinfo.SoftwareUpdates" />
        </PreferenceScreen>
        <!-- Device status - launches activity -->
        <PreferenceScreen android:key="status_info"
                android:title="@string/device_status" 
                android:summary="@string/device_status_summary">
            <intent android:action="android.intent.action.MAIN"
                    android:targetPackage="com.android.settings"
                    android:targetClass="com.android.settings.deviceinfo.Status" />
        </PreferenceScreen>
        
        <!-- Gemini Device status - launches Gemini activity -->
        <PreferenceScreen android:key="status_info_gemini"
                android:title="@string/device_status" 
                android:summary="@string/device_status_summary">
            <intent android:action="android.intent.action.MAIN"
                    android:targetPackage="com.android.settings"
                    android:targetClass="com.android.settings.deviceinfo.StatusGemini" />
        </PreferenceScreen>

        <!-- Legal Information -->
        <PreferenceScreen
                android:key="container"
                android:title="@string/legal_information">
                    
            <!-- Note: The titles given here probably won't be used.  Instead, we programmatically
                       fill the title with the label of the activity with the corresponding action.
                       If there is not an activity for an action, the item will be removed from the
                       list. -->

            <!-- Copyright information -->
            <PreferenceScreen
                    android:key="copyright"
                    android:title="@string/copyright_title">
                <intent android:action="android.settings.COPYRIGHT" />
            </PreferenceScreen>

            <!-- License information -->
            <PreferenceScreen
                    android:key="license"
                    android:title="@string/license_title">
                <intent android:action="android.settings.LICENSE" />
            </PreferenceScreen>

            <!-- Terms and conditions -->
            <PreferenceScreen
                    android:key="terms"
                    android:title="@string/terms_title">
                <intent android:action="android.settings.TERMS" />
            </PreferenceScreen>

        </PreferenceScreen>
        
        <PreferenceScreen
                android:key="safetylegal"
                android:title="@string/settings_safetylegal_title">
            <intent android:action="android.settings.SAFETY" />
        </PreferenceScreen>

        <!-- Contributors -->
        <!-- 
        <PreferenceScreen
                android:key="contributors"
                android:title="@string/contributors_title">
            <intent android:action="android.settings.TEAM" />
        </PreferenceScreen>
        -->

        <!-- Device hardware model -->
        <Preference android:key="device_model" 
                style="?android:preferenceInformationStyle"
                android:title="@string/model_number"
                android:summary="@string/device_info_default"/>
                
        <!-- Device firmware version -->
        <Preference android:key="firmware_version" 
                style="?android:preferenceInformationStyle"
                android:title="@string/firmware_version"
                android:summary="@string/device_info_default"/>
                
        <!-- Device Baseband version -->
        <Preference android:key="baseband_version" 
                style="?android:preferenceInformationStyle"
                android:title="@string/baseband_version"
                android:summary="@string/device_info_default"/>
        <!-- Device 2nd Baseband version -->
        <Preference android:key="baseband_version_2" 
                style="?android:preferenceInformationStyle"
                android:title="@string/baseband_version"
                android:summary="@string/device_info_default"/>      
        <!-- Device Kernel version -->
        <Preference android:key="kernel_version" 
                style="?android:preferenceInformationStyle"
                android:title="@string/kernel_version"
                android:summary="@string/device_info_default"/>

        <!-- Detailed build version -->
        <Preference android:key="build_number" 
                style="?android:preferenceInformationStyle"
                android:title="@string/build_number"
                android:summary="@string/device_info_default"/>

         <!-- Detailed customer build version -->
        <Preference android:key="custom_build_version" 
                style="?android:preferenceInformationStyle"
                android:title="@string/custom_build_version"
                android:summary="@string/device_info_default"/>
</PreferenceScreen>
